### Struct

# SpiceClientGLib GlScanout

#### Description [src]

    struct SpiceGlScanout {
      gint fd;
      guint32 width;
      guint32 height;
      guint32 stride;
      guint32 format;
      gboolean y0top;
    }

Holds the information necessary for using the GL display scanout.

###### Structure members

`fd:` `gint`

  A drm DMABUF file that can be imported with eglCreateImageKHR.

`width:` `guint32`

  Width of the scanout.

`height:` `guint32`

  Height of the scanout.

`stride:` `guint32`

  Stride of the scanout.

`format:` `guint32`

  The drm fourcc format.

`y0top:` `gboolean`

  Orientation of the scanout.

#### Instance methods

###### spice_gl_scanout_free

Frees the `scanout`.

since: 0.31